<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'qtype_coderunner', language 'uk', version '2.9'.
 *
 * @package     qtype_coderunner
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['aborted'] = 'Тестування було перервано через помилку.';
$string['ace-language'] = 'Мова Асе';
$string['addingcoderunner'] = 'Додавання нового питання CodeRunner';
$string['advanced_customisation'] = 'Розширене налаштування';
$string['ajax_error'] = '*** AJAX ERROR. ЦЕ НЕ ЗБЕРЕЖЕНО ***';
$string['allok'] = 'Пройшов усі тести!';
$string['allornone'] = 'Код тесту повинен бути наданий або для всіх тестових випадків, або для жодного.';
$string['allornothing'] = 'Оцінювання все або нічого';
$string['allornothing_help'] = 'Якщо встановлено прапорець "Все або нічого", всі тестові завдання повинні бути виконані, щоб подати заявку, щоб отримати будь-які оцінки. В іншому випадку оцінка отримується шляхом підсумовування оцінок для всіх тестових завдань, які проходилися, і виражаються як частка від максимально можливої оцінки.

Мітки для кожного тесту можуть бути вказані лише у тому випадку, якщо прапорець "Все або нічого" не встановлено.

Якщо ви використовуєте шаблон оцінювання, який присвоює позначки частини для запитань тестування, "Все або нічого", як правило, не знімайте прапорець.';
$string['allowmultiplestdins'] = 'Дозволити кілька stdins';
$string['answer'] = 'Відповідь';
$string['answer_help'] = 'Зразок відповіді може бути введений сюди та використаний для перевірки автором запитання та необов\'язково показаний учням під час перегляду. Він також використовується сценарієм масового тестування. Правильність не порожньої відповіді перевіряється під час збереження, якщо не встановлено прапорець "Підтвердити при збереженні"';
$string['answerbox_group'] = 'Поле для відповідей';
$string['answerboxlines'] = 'Рядки';
$string['answerpreload'] = 'Попереднє завантаження поля для відповідей';
$string['answerpreload_help'] = 'Текст, поданий тут, буде попередньо завантажений у поле відповідей учнів.';
$string['answerprompt'] = 'Відповідь:';
$string['answerrequired'] = 'Надайте не порожню відповідь';
$string['asolutionis'] = 'Авторське рішення питання:';
$string['atleastonetest'] = 'Ви повинні надати принаймні одну відповідь для цього питання.';
$string['bad_dotdotdot'] = 'Неправильне використання \'...\'. Повинно бути, врешті-решт, після двох зростаючих числових штрафів';
$string['badcputime'] = 'Ліміт часу CPU повинен бути порожнім або повинен бути цілим числом, більшим за нуль';
$string['bademptyprecheck'] = 'Попередня перевірка не вдалася із наступним несподіваним результатом.';
$string['badquestion'] = 'Помилка';
$string['bulktestcontinuefromhere'] = 'Запустіть знову або поновіть, починаючи звідси';
$string['bulktestindextitle'] = 'CodeRunner  основна частина тестування';
$string['bulktestrun'] = 'Запустити всі  запитання тесту для всіх питань у системі (повільно, лише адміністратор)';
$string['coderunner'] = 'Код Програми';
$string['coderunner_link'] = 'question/type/coderunner';
$string['coderunnercontexts'] = 'Контексти з CodeRunner питання';
$string['pluginname_link'] = 'question/type/coderunner';
$string['template_changed'] = 'Шаблон  тесту змінено - відключити комбінатор? ["Скасувати" залишає його ввімкненим.]';
$string['templatecontrols'] = 'Керування шаблонами';
$string['templateerror'] = 'Помилка шаблону';
$string['templategrader'] = 'Шаблон оцінки';
$string['templateparams'] = 'Параметри шаблону';
$string['testcase'] = 'Тестовий {$a}';
$string['testcasecontrols'] = 'Властивості тесту:';
$string['testcases'] = 'Тести';
$string['testcode'] = 'Код тесту';
$string['testcode_help'] = 'Код тесту, розглядається як шаблон  {{TEST.testcode}}';
$string['testcolhdr'] = 'Тест';
$string['testingquestion'] = 'Запитання тесту  {$a}';
$string['testsplitterre'] = 'Роздільник тесту  (regex)';
$string['testtype'] = 'Попередня перевірка типу тесту';
$string['testtype_both'] = 'Обидва';
$string['testtype_normal'] = 'Тільки перевірка';
$string['testtype_precheck'] = 'Тільки попередня перевірка';
$string['tooshort'] = 'Відповідь занадто коротка, щоб бути значущою та була проігнорована без покарання';
$string['type_header'] = 'CodeRunner Тип питання';
$string['typename'] = 'Тип запитання';
$string['typerequired'] = 'Будь ласка, виберіть тип запитання(мова, формат та інше)';
$string['unauthorisedbulktest'] = 'Ви не маєте відповідного доступу до будь-яких питань CodeRunner';
$string['unknownerror'] = 'Виникла несподівана помилка. Пісочниця може бути недоступна. Спробуйте ще раз найближчим часом.';
$string['useasexample'] = 'Використовувати як приклад';
$string['validateonsave'] = 'Перевірити при  збереженні';
$string['xmlcoderunnerformaterror'] = 'Помилка формату XML у запитанні coderunner';
