<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_adaptable', language 'uk', version '2.9'.
 *
 * @package     theme_adaptable
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activebreadcrumb'] = 'Колір тла активного пункту навігаційного меню';
$string['activebreadcrumbdesc'] = 'Встановлює колір тла активного пункту навігаційного меню та решти.';
$string['alertaccessadmins'] = 'Видимий для адміністраторів';
$string['alertaccessglobal'] = 'Видимий усім';
$string['alertaccessprofile'] = 'Додати обмеження на спеціальні поля профілю';
$string['alertaccessusers'] = 'Видиме для авторизованих користувачів';
$string['alertannounce'] = 'Повідомлення';
$string['alertcount'] = 'Кількість оповіщень';
$string['alertcountdesc'] = 'Кількість блоків оповіщень, які буде подано для оформлення нижче.';
$string['alertinfo'] = 'Інформація';
$string['alertsettings'] = 'Блок сповіщення {$a}';
$string['alertsettingsheading'] = 'Налаштовує верхній блок сповіщення (top Alert Box). Для розуміння перегляньте <a href="./../theme/adaptable/pix/layout.png" target="_blank">схему розташування</a> елементів теми.';
$string['alerttext'] = 'Текст сповіщення';
$string['alertwarning'] = 'Попередження';
$string['analyticscount'] = 'Кількість аналітики';
$string['analyticscountdesc'] = 'Кількість полів аналітики для показу та редагування далі на сторінці.';
$string['analyticsprofilefield'] = 'Назва спеціального поля профілю = Значення (додатково)';
$string['analyticssettings'] = 'Аналітика';
$string['backcolor'] = 'Колір фону';
$string['backcolordesc'] = 'Встановити колір тла';
$string['bcustyle'] = 'Стиль BCU';
$string['blockbackgroundcolor'] = 'Колір тла блоку';
$string['blockbackgroundcolordesc'] = 'Встановити колір тла для всіх блоків';
$string['blockbordercolor'] = 'Колір обрамлення блоку';
$string['blockbordercolordesc'] = 'Встановлює колір обрамлення для всіх блоків.';
$string['blockheaderbackgroundcolor'] = 'Колір тла заголовка блоку';
$string['blockheaderbackgroundcolordesc'] = 'Встановлює колір тла заголовка для всіх блоків.';
$string['blockheaderborderbottom'] = 'Товщина нижньої межі заголовка блоку';
$string['blockheaderborderleft'] = 'Товщина лівої межі заголовка блоку';
$string['blockheaderborderright'] = 'Товщина правої межі заголовка блоку';
$string['blockheaderbordertop'] = 'Товщина верхньої межі заголовка блоку';
$string['blockheaderbordertopstyle'] = 'Стиль обрамлення заголовка блоку';
$string['blockheaderbottomradius'] = 'Нижній радіус заголовка блоку';
$string['blockheadercolor'] = 'Колір шрифта заголовка блоку';
$string['blockheadercolordesc'] = 'Встановлює колір шрифта заголовка блоку';
$string['blockheadertopradius'] = 'Верхній радіус заголовка блоку';
$string['blockiconsdesc'] = 'Встановлює чи показувати значки в заголовку блока.';
$string['blocklayoutlayoutcheck'] = 'Перевірте макет';
$string['blocklayoutlayoutcheckdesc'] = 'Скористайтеся наведеним нижче інструментом, щоб перевірити кількість регіонів для блоків і побачити формат нового макета.';
$string['blocklayoutlayoutcount1'] = 'Ви можете встановити максимум';
$string['blocklayoutlayoutcount2'] = 'регіона для блоків. Наразі ви використали:';
$string['blocklayoutlayoutrowdesc'] = 'Додати / встановити макет для рядка регіонів блоків на першій сторінці.';
$string['blockmainborderbottom'] = 'Товщина нижньої межі блоку';
$string['blockmainborderleft'] = 'Товщина лівої межі основних блоків';
$string['blockmainborderright'] = 'Товщина правої межі основних блоків';
$string['blockmainbordertop'] = 'Товщина верхньої межі основних блоків';
$string['blockmainbottomradius'] = 'Нижній радіус основних блоків';
$string['blockmaintopradius'] = 'Верхній радіус основних блоків';
$string['blockside'] = 'Розташування блоків';
$string['breadcrumbhome'] = 'Посилання на Головну сторінку';
$string['breadcrumbhomedesc'] = 'Визначає, чи показувати кнопку Головна в навігаційному меню як значок або як текст';
$string['breadcrumbhomeicon'] = 'Значок';
$string['breadcrumbhometext'] = 'Текст';
$string['breadcrumbseparator'] = 'Роздільник';
$string['breadcrumbtextcolor'] = 'Колір тексту';
$string['breadcrumbtextcolordesc'] = 'Визначає колір тексту в навігаційному меню';
$string['breadcrumbtitle'] = 'Назва курсу';
$string['breadcrumbtitledesc'] = 'Визначає тип показу назви курсу в навігаційному меню';
$string['breadcrumbtitlefullname'] = 'Повна назва курсу';
$string['breadcrumbtitleshortname'] = 'Скорочена назва курсу/Код';
$string['buttoncolor'] = 'Колір кнопки';
$string['buttoncolordesc'] = 'Колір головної кнопки скрізь на сайті';
$string['buttondesc'] = 'Змініть вигляд кнопок, що використовуються в цій темі.';
$string['buttonhovercolor'] = 'Колір кнопки (При наведенні)';
$string['buttonhovercolordesc'] = 'Колір, на який змінюється кнопка, при наведенні на неї миші.';
$string['buttonlogincolor'] = 'Колір кнопки входу';
$string['buttonlogincolordesc'] = 'Колір кнопки входу в систему';
$string['buttonloginhovercolor'] = 'Колір кнопки входу при наведенні';
$string['buttonloginhovercolordesc'] = 'Колір кнопки входу при наведенні на неї мишки';
$string['buttonlogintextcolor'] = 'Колір тексту кнопки входу';
$string['buttonlogintextcolordesc'] = 'Колір тексту, який використовується на кнопці входу';
$string['buttonsettings'] = 'Кнопки';
$string['buttonsettingsheading'] = 'Налаштовує кнопки в цій темі.';
$string['buttontextcolor'] = 'Колір тексту кнопки';
$string['cachedef_userdata'] = 'Кеш сеансу, який використовується для зберігання даних користувача.';
$string['colordesc'] = 'Можна вибрати кольори, які ви хотіли б використовувати по всій темі. Використовуйте Hex або будь-які інші стандартні позначення. Як альтернативний варіант ви можете використовувати прозоре та успадковане значення';
$string['colorsettings'] = 'Кольори';
$string['colorsettingsheading'] = 'Змінити основний колір, що використовується всюди в темі';
$string['course'] = 'Курс';
$string['coursesectionborderstyle'] = 'Стиль межі секції курсу';
$string['covbkcolor'] = 'Колір тла області заголовку плитки Ковентрі';
$string['covbkcolordesc'] = 'Встановлює колір тла області заголовку в Плитках Ковентрі. якщо вибраний такий стиль.';
$string['coventrystyle'] = 'Стиль Ковентрі';
$string['covfontcolor'] = 'Колір тексту заголовку плитки Ковентрі';
$string['covfontcolordesc'] = 'Встановлює колір тексту заголовку в Плитках Ковентрі. якщо вибраний такий стиль.';
$string['covhidebutton'] = 'Кнопка курсу плитки Ковентрі';
$string['covhidebuttondesc'] = 'Встановлює кнопку приховування курсу в Плитках Ковентрі. якщо вибраний такий стиль.';
$string['customcss'] = 'Спеціальний CSS';
$string['customcssdesc'] = 'Правила CSS, які ви додасте до цього текстового поля, вбудовуватимуться в кожну сторінку, що полегшує налаштування цієї теми.';
$string['customcssjssettings'] = 'Спеціальний CSS & JS';
$string['disablemenuscoursepages'] = 'Відключити меню на сторінках курсу';
$string['displaylogin'] = 'Показати форму входу';
$string['displayloginbox'] = 'Блок входу';
$string['displayloginbutton'] = 'Кнопка';
$string['displaylogindesc'] = 'Оберіть, як показувати ім\'я входу на екрані (коли вище дозволено)';
$string['displayloginno'] = 'Немає входу';
$string['dividingline'] = 'Роздільна лінія в заголовку';
$string['dividingline2'] = 'Роздільна лінія в підвалинах';
$string['emoticonsize'] = 'Розміри емоційок';
$string['emoticonsizedesc'] = 'Встановлює висоту та ширину емоційок moodle.';
$string['enablealertstriptags'] = 'Автоматично вилучати html-теги зі сповіщень';
$string['enableanalytics'] = 'Включити Google Analytics';
$string['enableanalyticsdesc'] = 'Дозволяє налаштувати Google Analytics на вашому сайті';
$string['enableavailablecourses'] = 'Показувати "Доступні курси"';
$string['enablebadges'] = 'Відзнаки';
$string['enablecalendar'] = 'Використовувати календар';
$string['enableeditprofile'] = 'Редагувати профіль';
$string['enablegrades'] = 'Оцінки';
$string['enableheading'] = 'Заголовок курсу';
$string['enableheadingdesc'] = 'Встановлює режим показу назви курсу у заголовку сторінки, якщо увімкнено назву сайту Moodle.';
$string['enablehelp'] = 'Допомога';
$string['enablehomedesc'] = 'Показує посилання до головної сторінки';
$string['enablemenus'] = 'Дозволити меню';
$string['enablemysitesdesc'] = 'Показує випадаюче меню з курсами користувача';
$string['enablenote'] = 'Мої нотатки';
$string['enableprivatefiles'] = 'Особисті файли';
$string['enableprivatefilesdesc'] = 'Показувати посилання на особисті файли користувачів';
$string['enableprofile'] = 'Користувацький профіль';
$string['enableshowhideblocks'] = 'Включити Показати/Приховати блоки';
$string['enableshowhideblocksdesc'] = 'Дозволяє користувачам показувати /приховувати всі блоки';
$string['enableticker'] = 'Увімкнути рядок новин на Головній сторінці?';
$string['enabletickerc'] = 'Увімкнути рядок новин на внутрішніх сторінках?';
$string['enabletickercdesc'] = 'Вмикає рядок з текстовими новинами на внутрішніх сторінках.';
$string['enabletickerdesc'] = 'Вмикає рядок з текстовими новинами на Головній сторінці.';
$string['enablezoom'] = 'Увімкнути збільшення';
$string['events'] = 'Події';
$string['favicon'] = 'Логотип';
$string['favicondesc'] = 'Завантажити логотип для використання на Вашому сайті';
$string['fontcolor'] = 'Основний колір тексту';
$string['fontcolordesc'] = 'Встановлює колір шрифту в темі, використовуйте html hex код.';
$string['fontdesc'] = 'Можна вибрати <a href="https://www.google.com/fonts" target="_blank">Шрифти Google</a>, які ви хотіли б використовувати на всій темі.  Виберіть потрібну підмножину специфікацій шрифтів (latin завжди включена) і введіть потрібну товщину шрифту або шрифт не буде показуватися.';
$string['fontheadercolor'] = 'Колір заголовків';
$string['fontheadercolordesc'] = 'Встановлює колір шрифта заголовків в темі, використовуйте html hex код.';
$string['fontheadername'] = 'Шрифт заголовків';
$string['fontheaderweight'] = 'Товщина шрифту заголовків';
$string['fontname'] = 'Основний шрифт';
$string['fontsettings'] = 'Шрифти';
$string['fontsettingsheading'] = 'Налаштуйте шрифти, які використовуються в темі.';
$string['fontsize'] = 'Розмір основного шрифту';
$string['fontsizedesc'] = 'Вкажіть типовий розмір шрифту (у відсотках), який буде використовуватися на всьому сайті.';
$string['fonttitlecolorcourse'] = 'Колір шрифту назви Курсу';
$string['fonttitlecolorcoursedesc'] = 'Встановлює колір назви курсу в заголовку сторінки, використовуйте html hex код.';
$string['fontweight'] = 'Товщина основного шрифту';
$string['footerbkcolor'] = 'Колір тла підвалин';
$string['footerbkcolordesc'] = 'Встановлює колір тла підвалин';
$string['footerblocksplacement1'] = 'По всьому сайту';
$string['footerblocksplacement3'] = 'Ніколи';
$string['footerblocksplacementdesc'] = 'Керуйте, де показуватимуться блоки підвалин. Типовою - По всьому сайту.';
$string['footerlayoutrowdesc'] = 'Створюйте макет для областей блоків у підвалинах.';
$string['footerlinkcolor'] = 'Колір посилань в підвалинах';
$string['footerlinkcolordesc'] = 'Колір посилань в блоках в підвалинах.';
$string['footersettings'] = 'Підвалини';
$string['footersettingsheading'] = 'Встановлює вміст, який повинен з\'явитися у підвалинах. Перегляньте макет теми <a href="./../theme/adaptable/pix/layout.png" target="_blank"> тут</a>';
$string['footertextcolor'] = 'Колір тексту підвалин';
$string['footertextcolor2'] = 'Колір тексту підвалин';
$string['footertextcolor2desc'] = 'Колір тексту підвалин';
$string['footertextcolordesc'] = 'Колір тексту підвалин, використовуйте html hex код.';
$string['footnote'] = 'Примітка';
$string['footnotedesc'] = 'Додає текст до підвалин';
$string['frontpageblocksenabled'] = 'Вмикає спеціальні регіони з блоками на Головній сторінці';
$string['frontpagedesc'] = 'Налаштовує спосіб показу інформації про курси на головній сторінці.';
$string['frontpagemarketenableddesc'] = 'Встановлює маркетингові блоки на Головній сторінці.';
$string['frontpagemarketoption'] = 'Виберіть стиль для маркетингових блоків';
$string['frontpagemarketoptiondesc'] = 'До маркетингових блоків можна застосовувати різні стилі. Примітка: Стиль BCU призначений для роботи з зображеннями у верхній частині блоку.';
$string['frontpagerendererdefaultimage'] = 'Типова картинка курсу';
$string['frontpagerendererdesc'] = 'Керує тим, як буде показуватися інформація про курси на Головній сторінці.';
$string['frontpagerendereroption1'] = 'Плитки';
$string['frontpagerendereroption2'] = 'Плитки з накладкою';
$string['frontpagerendereroption3'] = 'Типове в Moodle';
$string['frontpagesettingsheading'] = 'Представлення Головної сторінки';
$string['fullscreen'] = 'На повний екран';
$string['fullscreenwidthdesc'] = 'Встановлює максимальну ширину теми, коли вона знаходиться в повноекранному режимі.';
$string['genericsettingsdescription'] = 'Тут ви можете додати власний коду CSS і JavaScript до теми, а також налаштувати деякі параметри їх спрацювання.';
$string['genericsettingsheading'] = 'Застосуйте ваші власні модифікації';
$string['googleanalyticssettingsdesc'] = 'Можна встановити декілька кодів для Google Analytics і призначити їх для полів профілю користувача.';
$string['googleanalyticssettingsheading'] = 'Встановіть Google Analytics для свого сайту';
$string['headerbkcolor'] = 'Колір тла верхнього заголовка';
$string['headerbkcolor2'] = 'Колір тла нижнього заголовка';
$string['headerbkcolordesc'] = 'Встановлює колір тла верхнього заголовка';
$string['headersettings'] = 'Заголовок';
$string['headertextcolor'] = 'Колір посилань та тексту блоків у верхньому заголовку';
$string['headertextcolor2'] = 'Колір посилань та тексту блоків у нижньому заголовку';
$string['headertextcolor2desc'] = 'Встановлює колір посилань та тексту блоків у нижньому заголовку.';
$string['headertextcolordesc'] = 'Встановлює колір посилань та тексту блоків у верхньому заголовку.';
$string['help'] = 'Допомога';
$string['helptarget'] = 'Як відкривати';
$string['helptargetdesc'] = 'Чи потрібно відкривати посилання допомоги у новому вікні?';
$string['helptitle'] = 'Допомога';
$string['hiddencourses'] = 'Сховані курси';
$string['hideblocks'] = 'Сховати блоки';
$string['hideinforumdesc'] = 'При використанні фіксованої ширини і всіх опцій меню вікно пошуку форуму перескакує на рядок нижче. Увімкнення цієї опції призведе до приховування інструментів і пунктів меню довідки на форумах, що дозволять йому правильно показуватися.';
$string['infoboxfullscreen'] = 'Розширити інформаційний блок на повний екран';
$string['infoboxfullscreendesc'] = 'Включення цієї опції розширить інформаційний блок на всю ширину сторінки.';
$string['jssectiondesc'] = 'Можна додати код Javascript на свій сайт.';
$string['layoutaddcontentdesc1'] = 'Ви налаштували';
$string['layoutcheck'] = 'Перевірте ваш макет';
$string['layoutcheckdesc'] = 'Скористайтеся наведеним нижче інструментом, щоб перевірити кількість використовуваних блоків і побачити подання нового макета.';
$string['layoutcount1'] = 'Можна встановити максимум&nbsp;';
$string['layoutcount2'] = '&nbsp;регіонів для блоків. Наразі ви використовуєте:&nbsp;';
$string['layoutdesc'] = 'Встановлює типовий макет, який користувачі бачать.';
$string['layoutsettings'] = 'Макет';
$string['layoutsettingsheading'] = 'Контрольні аспекти для макету сайту';
$string['leftblocks'] = 'Ліворуч';
$string['linkcolordesc'] = 'Встановлює колір посилань в темі, використовуйте html hex код.';
$string['linkhoverdesc'] = 'Встановлює колір посилань (при наведенні мишею) в темі, використовуйте html hex код.';
$string['loadingcolor'] = 'Колір завантаження';
$string['loginplaceholder'] = 'Псевдо';
$string['logo'] = 'Логотип';
$string['maincolor'] = 'Головний колір';
$string['maincolordesc'] = 'Головний колір для блоків та підвалин.';
$string['marketblockbordercolor'] = 'Колір межі маркетингового блоку';
$string['marketblocksbackgroundcolor'] = 'Колір тла регіону маркетингових блоків';
$string['marketblocksbackgroundcolordesc'] = 'Встановлює колір тла для регіону маркетингових блоків';
$string['marketdesc'] = 'Додайте html для маркетингового блоку (див. <a href="./../theme/adaptable/README.txt" target="_blank">README</a> файл з додатковою інформацією та підказками).';
$string['marketingbuilderdesc'] = 'Використайте інструмент нижче, щоб налаштувати маркетингові блоки. Після того, як їх параметри визначено,  блоки з\'являться на сторінці.';
$string['marketingsettingsheading'] = 'Налаштуйте маркетингові блоки, які з\'являються на Головній сторінці. Дивіться доступний макет розташування <a href="./../theme/adaptable/pix/layout.png" target="_blank"> тут</a>';
$string['marketlayoutrowdesc'] = 'Додає / налаштовує макет маркетингового блоку на Головній сторінці';
$string['menufontpaddingdesc'] = 'Встановлює внутрішній відступ в елементах головної навігаційної панелі.';
$string['menufontsize'] = 'Розмір шрифта в навігаційній панелі';
$string['menufontsizedesc'] = 'Встановлює розмір шрифта, який буде використовуватися в навігаційній панелі.';
$string['menuoverrideprofilefield'] = 'Назва поля профілю користувача';
$string['menusession'] = 'Зберігати деталі доступу в сесії';
$string['menusessionttl'] = 'Хвилини для зберігання правил доступу в сесії';
$string['menusessionttldesc'] = 'Кількість хвилин, після чого правила доступу до меню оновлюються у сеансі користувача.';
$string['menusettingsheading'] = 'Налаштуйте меню у верхній частині заголовку цієї теми.';
$string['menusheadingvisibilitydesc'] = 'Наведені нижче параметри дозволяють керувати показом меню і, за бажанням, дозволяти користувачам налаштовувати їхні параметри';
$string['menuuseroverride'] = 'Дозволити користувачам перевизначати';
$string['mysitesdisabled'] = 'Вимкнути';
$string['mysitesexclude'] = 'Виключити приховані курси';
$string['mysitesinclude'] = 'Включити приховані курси';
$string['mysitesmaxlengthdesc'] = 'Налаштуйте максимальну довжину назв курсів у спадному списку "Мої курси", щоб оптимізувати шрифт.';
$string['mysitessortoverridefield'] = 'Спеціальні поля профайлу або Рядки для Моїх курсів';
$string['mysitessortoverrideoff'] = 'Показати всі курси, де зарахований, в одному списку';
$string['mysitessortoverrideprofilefields'] = 'Показати курси, знайдені в полях профілю в першому списку, інші - у підменю';
$string['mysitessortoverrideprofilefieldscohort'] = 'Показати курси, знайдені в полях профілю + гурти в першому списку, інші - в підменю';
$string['mysitessortoverridestrings'] = 'Показати курси, де зарахований в першому списку, інші в підменю';
$string['navbarcachetimedesc'] = 'Кількість хвилин для кешування навігаційної панелі.';
$string['navbardesc'] = 'Дозволяє керувати всіма елементами, які показуються на навігаційній панелі.';
$string['navbarmenusettingsdesc'] = 'Дозволяє додати меню до навігаційної панелі.';
$string['navbarsettingsheading'] = 'Налаштуйте панель навігації';
$string['newmenudesc'] = 'Налаштовує посилання для показу в меню верхнього заголовка.';
$string['newmenurequirelogin'] = 'Потрібен вхід';
$string['newmenutitledefault'] = 'Меню';
$string['noenrolments'] = 'Не зареєстровано на жодному курсі';
$string['nostyle'] = 'Без стилю';
$string['passwordplaceholder'] = 'Пароль';
$string['piwikenabled'] = 'Увімкнуто';
$string['piwiksettingsdesc'] = 'Створити чисту URL-адресу для розширеного відстеження.';
$string['piwiksiteid'] = 'Код Сайту';
$string['piwiksiteiddesc'] = 'Вкажіть Код вашого сайту';
$string['region-frnt-footer'] = 'Підвалини';
$string['region-middle'] = 'Посередині';
$string['region-side-post'] = 'Праворуч';
$string['region-side-pre'] = 'Ліворуч';
$string['regionmaincolor'] = 'Колір основного регіону';
$string['regionmaincolordesc'] = 'Встановлює колір тла для головної області контенту.';
$string['rendereroverlaycolor'] = 'Колір накладки';
$string['rendereroverlaycolordesc'] = 'Колір накладки, коли вибрано "Плитки з/ накладкою"';
$string['rendereroverlayfontcolor'] = 'Колір шрифта  накладки';
$string['rendereroverlayfontcolordesc'] = 'Колір шрифта, коли вибрано "Плитки з/ накладкою" і при наведенні на плитку миші.';
$string['rightblocks'] = 'Праворуч';
$string['selectionbackground'] = 'Колір тла вибору';
$string['selectionbackgrounddesc'] = 'Встановлює колір тла під час вибору тексту на екрані.';
$string['selectiontext'] = 'Колір тексту вибору';
$string['selectiontextdesc'] = 'Встановлює колір тексту під час вибору тексту на екрані.';
$string['settingsanalytics'] = 'Аналітика';
$string['settingsfonts'] = 'Шрифти';
$string['showblocks'] = 'Показати блоки';
$string['showfooterblocks'] = 'Показати блоки підвалин';
$string['sitetitle'] = 'Показати назву сайту';
$string['sitetitlecoursesdisabled'] = 'Вимкнено - показувати лише назви курсів на сторінках курсів';
$string['sitetitlecoursesenabled'] = 'Увімкнено - показувати назву сайту та назви курсів на сторінках курсів';
$string['sitetitledefault'] = 'Використовувати назву сайту Moodle (назву сайту)';
$string['sitetitleoff'] = 'Відключити назву сайту';
$string['sitetitletext'] = 'Назва сайту';
$string['slidercaptiondesc'] = 'Додає підпис до слайду';
$string['sliderfullscreen'] = 'Повноекранний слайдер';
$string['slidermarginbottom'] = 'Відступ під слайдером';
$string['slidermarginbottomdesc'] = 'Встановлює розмір відступу під слайдером.';
$string['slidermargintop'] = 'Відступ над слайдером';
$string['slidermargintopdesc'] = 'Встановлює розмір відступу над слайдером.';
$string['slideroption2a'] = 'Слайдер 2: колір тла стрілки';
$string['slideroption2adesc'] = 'Встановлює колір тла стрілки в слайдері типу 2';
$string['sliderstyle1'] = 'Слайдер типу 1';
$string['sliderstyle2'] = 'Слайдер типу 2';
$string['sliderurldesc'] = 'Додає URL-адресу , на яку посилається слайд, коли на нього натискаєте.';
$string['slideshowdesc'] = 'Завантажте зображення, додайте посилання та опис слайдера на першій сторінці.';
$string['slideshowsettings'] = 'Слайдшоу';
$string['slideshowsettingsheading'] = 'Налаштуйте слайдшоу на першій сторінці. Див. шаблон <a href="./../theme/adaptable/pix/layout.png" target="_blank"> тут</a>';
$string['socialorsearch'] = 'Використовуйте поле пошуку або соціальні значки';
$string['socialorsearchsearch'] = 'Показувати вікно пошуку в заголовку';
$string['socialorsearchsocial'] = 'Показувати соціальні значки в заголовку';
$string['socialpaddingtop'] = 'Налаштуйте внутрішній відступ над значками соціальних мереж (змінює вертикальну позицію)';
$string['socialsearchicon'] = 'Пошук Moodle';
$string['socialsize'] = 'Встановіть розмір шрифта соціальних значків';
$string['socialwallbordertopstyle'] = 'Стиль межі';
$string['socialwallborderwidth'] = 'Товщина межі';
$string['socialwallsectionradius'] = 'Радіус межі';
$string['standardview'] = 'Стандартний вид';
$string['targetnewwindow'] = 'В новому вікні';
$string['targetsamewindow'] = 'В цьому ж вікні';
$string['thiscourse'] = 'Цей курс';
$string['ticker'] = 'Повідомлення';
$string['tickerdefault'] = 'Немає нових повідомлень для показу';
$string['tickertext'] = 'Текст повідомлення';
$string['tickertext1'] = 'Текст повідомлення';
$string['tickertextdesc'] = 'Додає текст новин у форматі списку. Див. readme для додаткової інформації.';
$string['tickertextprofilefield'] = 'Назва спеціального поля профілю = Значення (необов\'язково)';
$string['tickertextprofilefielddesc'] = 'Додайте правило доступу, використовуючи спеціальне поле профілю користувача. Наприклад, usertype=student';
$string['tickerwidthdesc'] = 'Це налаштування можна використовувати для визначення блоку новин на 100% ширини.';
$string['tilesbordercolor'] = 'Колір тла плитки курсу';
$string['tilescontactstitle'] = 'Показати контакти курсу';
$string['tilesshowallcontacts'] = 'Показати всі контакти курсу';
$string['tilesshowcontacts'] = 'Показати контакти курсу';
$string['toolsmenu'] = 'Меню інструментів';
$string['toolsmenu2'] = 'Друге меню інструментів';
$string['toolsmenuheading'] = 'Меню інструментів';
$string['toolsmenulabel'] = 'Інструменти';
$string['toolsmenulabel2'] = 'Інструменти-2';
$string['toolsmenutitledefault'] = 'Інструменти';
$string['usernavdesc'] = 'Дозволяє керувати всіма елементами, які показуються у спадному списку навігації користувача.';
